package com.zjrs.ggfw.portal.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.portal.dto.SjdzDetailQueryDTO;
import com.zjrs.ggfw.portal.dto.SjdzQueryDTO;
import com.zjrs.ggfw.portal.dto.SjxxQueryDTO;
import com.zjrs.ggfw.portal.dto.common.PageDTO;
import com.zjrs.ggfw.portal.po.*;


public interface UserBLO extends IBLO {
    //查询收货地址列表
    public PageResult getSjdzList(SjdzQueryDTO dto);

    //获取收货地址信息byId
    public VRsWbSjdz getSjdzDetail(SjdzDetailQueryDTO dto);

    //保存收货地址信息
    public VRsWbSjdz saveSjdz(VRsWbSjdz vRsWbSjdz);
    
    //设置默认地址
    public void setMrSjdz(SjdzDetailQueryDTO dto);
    
    //获取默认收件地址
    public VRsWbSjdz getMrSjdz(String userid);

    //删除收货地址
    public void deleteSjdz(SjdzDetailQueryDTO dto);
    
    //获取未读消息数量
    public int getNewsCnt(String userid);
    
    //获取消息列表
    public PageResult getNewsList(SjxxQueryDTO dto);
    
    //保存消息
    public void saveNews(VRsWbXxgl vRsWbXxgl);
    
	//保存消息收件
    public void saveNewsSj(VRsWbSjxx vRsWbSjxx);
    
    //更新消息阅读状态、有效标志
    public void setNewsZt(VRsWbSjxx vRsWbSjxx);
    
    //清空消息回收站
    public void setNewsClear(String userid);
    
    //获取公共服务用户信息
    public VRsGgfwUser getVRsGgfwUser(String userid);
    
    //保存公共服务用户信息
    public void updateRsGgfwUser(VRsGgfwUser vRsGgfwUser);
    
    //获取单位基本信息
    public VAb01 getAb01ById(String ztid);
    
	//根据统一社会信用代码或单位名称查询单位基本信息
    public VAb01 getAb01ByAab998OrAab004(String aab998,String aab004);
    
    //获取人员基本信息
    public VAc01 getAc01ById(String ztid);
    
	//根据证件类型及证件号码查询人员基本信息
    public VAc01 getAc01ByZj(String aac058,String aac147);
    
    //保存单位信息
    public void saveAb01(VAb01 vAb01);
    
    //保存单位信息
    public void saveAc01(VAc01 vAc01);
    
    //获取高层次人才认定结果
    public VRsZjGccrc getGccrc(String ztid);
    
    //保存意见反馈
    public void saveRsWbYjfk(VRsWbYjfk VRsWbYjfk);
    
    //保存自助终端访问日志
    public void saveRsZzzdLog(VRsZzzdLog vRsZzzdLog);
    
    //查询意见反馈列表
    public PageResult getRsWbYjfkList(String userid,PageDTO dto);
    
    //查询意见反馈
    public VRsWbYjfk getRsWbYjfkById(String rsWbYjfkLsh);

    String getTyrzPhoneNumber(String userid);
}
